OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::FaceDetector Class Reference

`#include <faceDetector.hpp>`

## Public Member Functions
| FaceDetector (const PoseModel poseModel)
virtual | ~FaceDetector ()
std::vector< Rectangle< float > > | detectFaces (const Array< float > &poseKeypoints) const

## Constructor & Destructor Documentation

op::FaceDetector::FaceDetector | ( | const PoseModel | poseModel | ) |
| explicit

virtual op::FaceDetector::~FaceDetector | ( |  | ) |
| virtual

## Member Function Documentation

std::vector<Rectangle<float> > op::FaceDetector::detectFaces | ( | const Array< float > & | poseKeypoints | ) | const

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/face/faceDetector.hpp